<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-自定义的滚动条-控制颜色</title>
	<style type="text/css">
		.div1{
			position:absolute;
			width: 600px;
			height: 25px;
			border:1px solid #000;
		}
		#div2{
			position: absolute;
			width: 50px;
			height:20px;
			background: red;
			border: 1px solid red;
		}
		#div3{
			position: absolute;
			top:100px;
			width: 200px;
			height: 200px;
			background: blue;
			filter: alpha(opacity:30);
			opacity:0.3;
		}
	</style>
	<script type="text/javascript">		 
		window.onload=function(){
			var disX=0;
			var disY=0;
			var oDiv1=document.getElementById('div1');
			var oDiv=document.getElementById('div2');
			var oDiv2=document.getElementById('div3');
				oDiv.onmousedown=function(ev){
					var oEvent=ev||event;
					disX=oEvent.clientX-oDiv.offsetLeft;		
					document.onmousemove=function(ev){
					var oEvent=ev||event;			
					var l=oEvent.clientX-disX;
					var r=oDiv1.offsetWidth-oDiv.offsetWidth;
					if(l<0){
						l=0;
					}else if(l>r){
						l=r;
					}
					oDiv.style.left=l+'px';
					var scale=l/r;
					document.title=scale;
					oDiv2.style.filter='alpha(opacity:'+scale*100+')';
					oDiv2.style.opacity=scale;
					};
					document.onmouseup=function(){
						document.onmousemove=null;
						document.onmouseup=null;
					};
					return false;
				};	
		};
	</script>
</head>
<body>
	<div id="box">
		<div class="div1" id="div1">
			<div id="div2"></div>
		</div>
		<div id="div3"></div>
	</div>
</body>
</html>